Sun GlassFish(tm) Message Queue v4.4

## com.sun.messaging.jms.management.server
Class BrokerState

    java.lang.Object
      com.sun.messaging.jms.management.server.BrokerState

All Implemented Interfaces:
  Serializable

    public class BrokerState

extends Object
implements Serializable

Class containing information on broker states.

See Also:
  Serialized Form

Field Summary
`static int` `BROKER_DOWN` The broker is down.
`static int` `OPERATING` A broker has started and is operating normally.
`static int` `QUIESCE_COMPLETE` The broker has finished quiescing.
`static int` `QUIESCE_STARTED` The broker has started to quiesce.
`static int` `SHUTDOWN_STARTED` The broker is starting to shutdown (either immediately or after a specific grace period) or restart
`static int` `TAKEOVER_COMPLETE` The broker has completed the takeover another broker's message store.
`static int` `TAKEOVER_FAILED` The broker has failed in the attempt to takeover another broker's message store.
`static int` `TAKEOVER_STARTED` The broker has started to takeover another broker's message store.
`static int` `UNKNOWN` Unknown broker state.

Method Summary
`static String` `toString(int state)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNKNOWN

    public static final int UNKNOWN

  Unknown broker state.

  See Also:
    Constant Field Values

### OPERATING

    public static final int OPERATING

  A broker has started and is operating normally.

  See Also:
    Constant Field Values

### TAKEOVER_STARTED

    public static final int TAKEOVER_STARTED

  The broker has started to takeover another broker's message store. This applies to brokers that are part of a HA cluster.

  See Also:
    Constant Field Values

### TAKEOVER_COMPLETE

    public static final int TAKEOVER_COMPLETE

  The broker has completed the takeover another broker's message store. This applies to brokers that are part of a HA cluster.

  See Also:
    Constant Field Values

### TAKEOVER_FAILED

    public static final int TAKEOVER_FAILED

  The broker has failed in the attempt to takeover another broker's message store. This applies to brokers that are part of a HA cluster.

  See Also:
    Constant Field Values

### QUIESCE_STARTED

    public static final int QUIESCE_STARTED

  The broker has started to quiesce.

  See Also:
    Constant Field Values

### QUIESCE_COMPLETE

    public static final int QUIESCE_COMPLETE

  The broker has finished quiescing.

  See Also:
    Constant Field Values

### SHUTDOWN_STARTED

    public static final int SHUTDOWN_STARTED

  The broker is starting to shutdown (either immediately or after a specific grace period) or restart

  See Also:
    Constant Field Values

### BROKER_DOWN

    public static final int BROKER_DOWN

  The broker is down.

  See Also:
    Constant Field Values

Method Detail

### toString

    public static String toString(int state)

Sun GlassFish(tm) Message Queue v4.4

Copyright 2009 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.